summaryrefslogtreecommitdiff
path: root/tests/date
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-03-01 12:51:07 +0000
committerJim Meyering <jim@meyering.net>2000-03-01 12:51:07 +0000
commit296fe5d7827b3244b77f8875d38c569c6159b096 (patch)
treee54cdeca9002af0842a0d168242f49c7e62adee1 /tests/date
parent13b113c1f389e1af0e6d5c5e28ff78159542d670 (diff)
downloadcoreutils-296fe5d7827b3244b77f8875d38c569c6159b096.tar.xz
.
Diffstat (limited to 'tests/date')
-rw-r--r--tests/date/Makefile.am6
-rwxr-xr-xtests/date/date-tests20
2 files changed, 23 insertions, 3 deletions
diff --git a/tests/date/Makefile.am b/tests/date/Makefile.am
index e2f3c5640..e7a9f2679 100644
--- a/tests/date/Makefile.am
+++ b/tests/date/Makefile.am
@@ -9,7 +9,8 @@ W92-3.X millen-1.X rel-0.X rel-1a.X rel-1b.X rel-2a.X rel-2b.X rel-2c.X \
rel-2d.X rel-2e.X rel-2f.X rel-2g.X rel-3a.X next-s.X next-m.X next-h.X \
next-d.X next-w.X next-mo.X next-y.X utc-0.X utc-0a.X utc-1.I utc-1.X \
utc-1a.I utc-1a.X date2sec-0.X date2sec-0a.X date2sec-1.X sec2date-0.X \
-this-m.X this-h.X this-w.X this-mo.X this-y.X risks-1.X regress-1.X
+this-m.X this-h.X this-w.X this-mo.X this-y.X risks-1.X regress-1.X \
+datevtime-1.X
run_gen = 1.O 1.E 2.O 2.E 3.O 3.E 4.O 4.E 5.O 5.E 6.O 6.E 7.O 7.E 8.O 8.E 9.O \
9.E leap-1.O leap-1.E U95-1.O U95-1.E U95-2.O U95-2.E U95-3.O U95-3.E U92-1.O \
U92-1.E U92-2.O U92-2.E U92-3.O U92-3.E V92-1.O V92-1.E V92-2.O V92-2.E \
@@ -22,7 +23,8 @@ next-w.E next-mo.O next-mo.E next-y.O next-y.E utc-0.O utc-0.E utc-0a.O \
utc-0a.E utc-1.O utc-1.E utc-1a.O utc-1a.E date2sec-0.O date2sec-0.E \
date2sec-0a.O date2sec-0a.E date2sec-1.O date2sec-1.E sec2date-0.O \
sec2date-0.E this-m.O this-m.E this-h.O this-h.E this-w.O this-w.E this-mo.O \
-this-mo.E this-y.O this-y.E risks-1.O risks-1.E regress-1.O regress-1.E
+this-mo.E this-y.O this-y.E risks-1.O risks-1.E regress-1.O regress-1.E \
+datevtime-1.O datevtime-1.E
##test-files-end
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/date/date-tests b/tests/date/date-tests
index f46a2117d..72c6cc945 100755
--- a/tests/date/date-tests
+++ b/tests/date/date-tests
@@ -1026,8 +1026,26 @@ else
esac
fi
test -s regress-1.E || rm -f regress-1.E
+LANG=C TZ=UTC $xx -d 000909 '+%Y-%m-%d %T' > datevtime-1.O 2> datevtime-1.E
+code=$?
+if test $code != 0; then
+ $echo "Test datevtime-1(LANG=C TZ=UTC) failed: ../../src/date return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp datevtime-1.O $srcdir/datevtime-1.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE"; then $echo "passed datevtime-1(LANG=C TZ=UTC)"; fi;;
+ 1) $echo "Test datevtime-1(LANG=C TZ=UTC) failed: files datevtime-1.O and $srcdir/datevtime-1.X differ" 1>&2
+ (diff -c datevtime-1.O $srcdir/datevtime-1.X) 2> /dev/null
+ errors=`expr $errors + 1`;;
+ 2) $echo "Test datevtime-1(LANG=C TZ=UTC) may have failed." 1>&2
+ $echo The command "cmp datevtime-1.O $srcdir/datevtime-1.X" failed. 1>&2
+ errors=`expr $errors + 1`;;
+ esac
+fi
+test -s datevtime-1.E || rm -f datevtime-1.E
if test $errors = 0; then
- $echo Passed all 56 tests. 1>&2
+ $echo Passed all 57 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi